=== debian/changelog ===
charliecloud (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * Update copyright years
  * Bump debhelper compat level to 12 and switch to debhelper-compat
  * Adjust debhelper config files to upstream's new directory structure
  * Switch to Standards-Version 4.4.0 (no changes required)
  * Add d/salsa-ci.yml file
  * Switch to python3 (closes: #936290)
    - Add patch to switch to python3
    - d/control: Switch to python3 build dependencies

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 08 Sep 2019 20:23:14 +0200
