=== debian/control ===
Source: charliecloud
Section: admin
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <fossdev@posteo.de>
Build-Depends: debhelper-compat (= 12),
               po-debconf,
               python3,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               rsync
Standards-Version: 4.4.0
Homepage: https://hpc.github.io/charliecloud/
Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master

Package: charliecloud
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: charliecloud-doc,
          docker.io,
          pv
Description: user-defined software stacks (UDSS) for HPC centers
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.

Package: charliecloud-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends}
Description: user-defined software stacks (UDSS) for HPC centers (documentation)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides documentation files for CharlieCloud.
