=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export LIBEXEC_DIR=lib/charliecloud
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make -C doc-src
	mv doc html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf VERSION.full bin/version.h bin/version.sh
	rm -rf html
	debconf-updatepo

override_dh_auto_install:
	dh_auto_install
	dh_installdebconf
	# Do not put architecture dependent binaries in
	# architecture independent charliecloud-doc package
	rm debian/tmp/usr/lib/charliecloud/examples/syscalls/pivot_root
	rm debian/tmp/usr/lib/charliecloud/examples/syscalls/userns
	# Patch out bundled jquery.js
	rm html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js html/_static/jquery.js
	# Patch out bundled underscore.js
	rm html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js html/_static/underscore.js
	# Patch out usage of MathJax CDN
	find html/*.html -type f -print0 | xargs -0 sed -i 's#https://cdn.mathjax.org/mathjax/latest/#/usr/share/javascript/mathjax/#g'
	find html/*.html -type f -print0 | xargs -0 sed -i 's#https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/#/usr/share/javascript/mathjax/#g'
