## charliecloud 0.16

=== debian/changelog ===
charliecloud (0.16-3) unstable; urgency=medium

  * d/control: Make builder's docker.io dependence arch-dependent
  * Make sure Docker builder is only tested on archs where Docker is available
  * builders: Suppress Lintian tag package-contains-no-arch-dependent-files
  * Remove suppression of Lintian warning due to embedded language_data.js
  * d/rules: Patch out bundled language_data.js

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 05 Aug 2020 17:01:10 +0200

charliecloud (0.16-2) unstable; urgency=medium

  * d/rules: Add a comment why dh_sphinxdoc is not used
  * d/{rules,control}: Patch out bundled doctools.js and searchtools.js,
    update charliecloud-doc dependencies accordingly
  * Suppress Lintian warning because of embedded language_data.js

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 26 Jul 2020 20:48:34 +0200

charliecloud (0.16-1) unstable; urgency=medium

  * New upstream version 0.16 (closes: #958327)
  * d/patches: Remove outdated patch use-python3
  * Switch to upstream's autotools based build system
  * d/control: Update dependencies and suggestions
  * d/control: Bump Standards-Version to 4.5.0 (no changes required)
  * d/s/lintian-overrides: Suppress debian-watch-does-not-check-gpg-signature
  * d/control: Add 'Rules-Requires-Root: no'
  * Add d/upstream/metadata
  * Update d/copyright:
    - Update copyright years
    - Update upstream's copyright clauses
    - Add copyright for misc/m4/*.m4 files
  * Split up package structure into the following packages:
    - charliecloud
    - charliecloud-common
    - charliecloud-runtime
    - charliecloud-builders
    - charliecloud-tests
    - charliecloud-doc
  * Suppress lintian warning shared-library-lacks-prerequisites
  * d/control: Bump debhelper-compat level to 13
  * d/patches: Add adjust-test-suite-path.patch
  * Move debconf related parts from charliecloud to charliecloud-common package
  * d/charliecloud-common.prerm: Remove /usr/lib/charliecloud/__pycache__
  * d/tests: Add tests using Docker based builder

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 05 Jul 2020 18:19:46 +0200
