=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	debconf-updatepo

override_dh_auto_configure:
	# Install test suite into /usr/libexec/installed-tests
	# (see https://lists.debian.org/debian-devel/2020/06/msg00224.html)
	dh_auto_configure -- --libdir=/usr/lib --libexecdir=/usr/libexec/installed-tests

override_dh_makeshlibs:
	# exclude toy library from being processed
	dh_makeshlibs -Xlibsotest

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/libexec/installed-tests/charliecloud/sotest

override_dh_auto_install:
	dh_auto_install
	dh_installdebconf
	# Remove charliecloud man page (man page not associated with any executable)
	rm debian/tmp/usr/share/man/man1/charliecloud.1
	# We cannot use dh_sphinxdoc since both the looks_like_sphinx_doc and
	# the looks_like_sphinx_singlehtml_doc checks fail. For details see
	# https://salsa.debian.org/python-team/modules/sphinx/-/blob/debian/3.1.2-1/debian/dh-sphinxdoc/dh_sphinxdoc#L192-223
	# Thus we need to patch out bundled Javascript code ourselves.
	# Patch out bundled jquery.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
	# Patch out bundled underscore.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/tmp/usr/share/doc/charliecloud/html/_static/underscore.js
	# Patch out bundled doctools.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
	# Patch out bundled searchtools.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/searchtools.js debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
	# Patch out bundled language_data.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/language_data.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js debian/tmp/usr/share/doc/charliecloud/html/_static/language_data.js
	# Patch out bundled fonts directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/fonts
	ln -s /usr/share/sphinx_rtd_theme/static/fonts debian/tmp/usr/share/doc/charliecloud/html/_static/fonts
	# Patch out bundled css directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/css
	ln -s /usr/share/sphinx_rtd_theme/static/css debian/tmp/usr/share/doc/charliecloud/html/_static/css
	# Patch out bundled js directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/js
	ln -s /usr/share/sphinx_rtd_theme/static/js debian/tmp/usr/share/doc/charliecloud/html/_static/js
