## charliecloud 0.18

=== debian/changelog ===
charliecloud (0.18-1) unstable; urgency=medium

  * New upstream version 0.18
  * New suggested package for charliecloud-tests: shellcheck
  * charliecloud-tests: Also install .dockerignore in test directory
  * charliecloud-builders: Add python3-requests to Depends
  * charliecloud-{common,builders}: Mark packages Multi-Arch: foreign

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 22 Aug 2020 20:37:35 +0200
