## charliecloud 0.20

=== debian/changelog ===
charliecloud (0.20-1) unstable; urgency=medium

  * New upstream version 0.20
  * d/rules: Drop charliecloud man page removal
  * Add patch to move charliecloud man page to section 7
  * Add charliecloud man page to charliecloud-common package

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 25 Oct 2020 18:07:39 +0100

charliecloud (0.19-1) unstable; urgency=medium

  * New upstream version 0.19
  * charliecloud-builders: Remove ch-tug (now integrated in ch-grow)
  * Override Lintian tag package-contains-documentation-outside-usr-share-doc
    for files version.txt and files_inferrable.txt

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 26 Sep 2020 15:42:28 +0200
