=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
 
 Package: charliecloud-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Replaces: charliecloud (<< 0.16-1)
 Breaks: charliecloud (<< 0.16-1)
@@ -58,12 +59,14 @@
 
 Package: charliecloud-builders
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          buildah,
          charliecloud-common,
          docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
          python3,
          python3-lark,
+         python3-requests,
          squashfs-tools
 Suggests: charliecloud-doc,
           charliecloud-runtime,
@@ -123,6 +126,7 @@
          wget,
          bats
 Suggests: charliecloud-doc,
+          shellcheck
 Description: user-defined software stacks (UDSS) for HPC centers (test suite)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
