## charliecloud 0.21

=== debian/changelog ===
charliecloud (0.21-1) unstable; urgency=medium

  * New upstream version 0.21
  * Drop patch move-charliecloud-man-page-to-section7.patch (applied upstream)
  * d/charliecloud-builders.{install,manpages}: Add ch-image builder
  * Bump Standards-Version to 4.5.1 (no changes required)
  * Override Lintian's duplicate-files tag for various example files

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 20 Dec 2020 15:44:37 +0100
