=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_installdebconf
-	# Remove charliecloud man page (man page not associated with any executable)
-	rm debian/tmp/usr/share/man/man1/charliecloud.1
 	# We cannot use dh_sphinxdoc since both the looks_like_sphinx_doc and
 	# the looks_like_sphinx_singlehtml_doc checks fail. For details see
 	# https://salsa.debian.org/python-team/modules/sphinx/-/blob/debian/3.1.2-1/debian/dh-sphinxdoc/dh_sphinxdoc#L192-223
