## charliecloud 0.25

=== debian/changelog ===
charliecloud (0.25-1) unstable; urgency=medium

  * New upstream version 0.25
  * d/rules: Make dh_autoreconf use upstream's autogen.sh script
  * Add patch from upstream PR 1194 to fix autogen.sh failure
  * d/rules: Run configure with --disable-bundled-lark option
  * Remove installation of ch-grow and its man page (dropped upstream)
  * d/rules: Fix permissions of various test suite files
  * Add d/clean to make sure all build remnants are cleaned up
  * Bump Standards-Version to 4.6.0 (no changes required)
  * d/README.Debian: User namespaces are enabled by default since Bullseye
  * Update copyright years

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 20 Oct 2021 17:47:52 +0200
