=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                po-debconf,
                autoconf-archive,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
