=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,31 @@
 	dh_auto_clean
 	debconf-updatepo
 
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh -- --no-lark
+
 override_dh_auto_configure:
 	# Install test suite into /usr/libexec/installed-tests
 	# (see https://lists.debian.org/debian-devel/2020/06/msg00224.html)
-	dh_auto_configure -- --libdir=/usr/lib --libexecdir=/usr/libexec/installed-tests
+	dh_auto_configure -- --libdir=/usr/lib --libexecdir=/usr/libexec/installed-tests --disable-bundled-lark
+
+override_dh_fixperms-arch:
+	dh_fixperms
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/.dockerignore
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/Dockerfile.*
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/build/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/common.bash
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/empty-file
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/make-auto.d/*.bats.in
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/registry-config.yml
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/run/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/lib/libsotest.so.1.0
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so.1.0
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so.1
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/files_inferrable.txt
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/*.c
 
 override_dh_makeshlibs:
 	# exclude toy library from being processed
