## charliecloud 0.26

=== debian/changelog ===
charliecloud (0.26-1) unstable; urgency=medium

  * New upstream version 0.26
  * Drop patch pr1194 (merged upstream)
  * Update copyright information for file misc/m4/ax_pthread.m4
  * Remove obsolete commands ch-mount and ch-umount and their man pages
  * Add new command ch-convert and its man page to charliecloud-builders
  * Set permissions of README file in test fixtures directory to 0644
  * charliecloud-tests: Add lintian override for
    package-contains-documentation-outside-usr-share-doc
  * charliecloud-builders: Drop obsolete lintian override
    package-contains-no-arch-dependent-files
  * Update copyright years for Debian packaging
  * Add upstream patch to fix FTBFS issue on i386
  * Run 'wrap-and-sort -ask' on packaging files

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 30 Jan 2022 11:06:08 +0100
