=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <fossdev@posteo.de>
-Build-Depends: debhelper-compat (= 13),
-               po-debconf,
-               autoconf-archive,
-               python3-sphinx-rtd-theme
+Uploaders:
+ Lucas Nussbaum <lucas@debian.org>,
+ Peter Wienemann <fossdev@posteo.de>
+Build-Depends:
+ autoconf-archive,
+ debhelper-compat (= 13),
+ po-debconf,
+ python3-sphinx-rtd-theme
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
@@ -16,9 +19,10 @@
 Package: charliecloud
 Section: metapackages
 Architecture: all
-Depends: ${misc:Depends},
-         charliecloud-builders (>= 0.16-1),
-         charliecloud-runtime (>= 0.16-1)
+Depends:
+ charliecloud-builders (>= 0.16-1),
+ charliecloud-runtime (>= 0.16-1),
+ ${misc:Depends}
 Description: user-defined software stacks (UDSS) for HPC centers (metapackage)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -38,9 +42,12 @@
 Package: charliecloud-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-Replaces: charliecloud (<< 0.16-1)
-Breaks: charliecloud (<< 0.16-1)
+Depends:
+ ${misc:Depends}
+Replaces:
+ charliecloud (<< 0.16-1)
+Breaks:
+ charliecloud (<< 0.16-1)
 Description: user-defined software stacks (UDSS) for HPC centers (common files)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -60,19 +67,23 @@
 Package: charliecloud-builders
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         buildah,
-         charliecloud-common,
-         docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
-         python3,
-         python3-lark,
-         python3-requests,
-         squashfs-tools
-Suggests: charliecloud-doc,
-          charliecloud-runtime,
-          pv
-Replaces: charliecloud (<< 0.16-1)
-Breaks: charliecloud (<< 0.16-1)
+Depends:
+ buildah,
+ charliecloud-common,
+ docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
+ python3,
+ python3-lark,
+ python3-requests,
+ squashfs-tools,
+ ${misc:Depends}
+Suggests:
+ charliecloud-doc,
+ charliecloud-runtime,
+ pv
+Replaces:
+ charliecloud (<< 0.16-1)
+Breaks:
+ charliecloud (<< 0.16-1)
 Description: user-defined software stacks (UDSS) for HPC centers (builders)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -91,15 +102,19 @@
 
 Package: charliecloud-runtime
 Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         charliecloud-common,
-         python3,
-         squashfuse
-Suggests: charliecloud-doc,
-          charliecloud-builders
-Replaces: charliecloud (<< 0.16-1)
-Breaks: charliecloud (<< 0.16-1)
+Depends:
+ charliecloud-common,
+ python3,
+ squashfuse,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ charliecloud-builders,
+ charliecloud-doc
+Replaces:
+ charliecloud (<< 0.16-1)
+Breaks:
+ charliecloud (<< 0.16-1)
 Description: user-defined software stacks (UDSS) for HPC centers (runtime tools)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -118,15 +133,17 @@
 
 Package: charliecloud-tests
 Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         charliecloud-builders,
-         charliecloud-runtime,
-         python3,
-         wget,
-         bats
-Suggests: charliecloud-doc,
-          shellcheck
+Depends:
+ bats,
+ charliecloud-builders,
+ charliecloud-runtime,
+ python3,
+ wget,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ charliecloud-doc,
+ shellcheck
 Description: user-defined software stacks (UDSS) for HPC centers (test suite)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -147,9 +164,10 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-sphinxdoc,
-         sphinx-rtd-theme-common,
-         ${misc:Depends}
+Depends:
+ libjs-sphinxdoc,
+ sphinx-rtd-theme-common,
+ ${misc:Depends}
 Description: user-defined software stacks (UDSS) for HPC centers (documentation)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
