=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/build/*.bats
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/common.bash
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/README
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/empty-file
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/make-auto.d/*.bats.in
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/registry-config.yml
