=== debian/tests/control ===
Tests: builder-docker
Depends:
 charliecloud-tests
Restrictions: needs-internet, needs-root, isolation-machine
