## charliecloud 0.27

=== debian/changelog ===
charliecloud (0.27-1) unstable; urgency=medium

  * New upstream version 0.27
  * Remove deprecated commands and their man pages
  * Remove patch pr1275 (integrated upstream)
  * Add patch to remove misc/m4 as local Autoconf macro directory
  * Add pigz as suggested dependency of charliecloud-builders
  * Update copyright information of upstream code
  * Make charliecloud-doc an absolute dependency of charliecloud-tests
  * Add sudo as suggested dependency of charliecloud-tests
  * Add sudo as dependency of builder-docker unit test

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 15 May 2022 17:52:55 +0200
