=== debian/control ===
--- 
+++ 
@@ -79,6 +79,7 @@
 Suggests:
  charliecloud-doc,
  charliecloud-runtime,
+ pigz,
  pv
 Replaces:
  charliecloud (<< 0.16-1)
@@ -136,14 +137,15 @@
 Depends:
  bats,
  charliecloud-builders,
+ charliecloud-doc,
  charliecloud-runtime,
  python3,
  wget,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- charliecloud-doc,
- shellcheck
+ shellcheck,
+ sudo
 Description: user-defined software stacks (UDSS) for HPC centers (test suite)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
