## charliecloud 0.29

=== debian/changelog ===
charliecloud (0.29-1) unstable; urgency=medium

  * New upstream version 0.29
  * Update Lintian override due to tag renaming: Use new name
    debian-watch-does-not-check-openpgp-signature

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 03 Sep 2022 20:35:21 +0200

charliecloud (0.28-1) unstable; urgency=medium

  * New upstream version 0.28
  * d/rules: Fix permissions of build cache related Dockerfiles
  * Fix Lintian overrides to get rid of mismatched-override warnings
  * Bump Standards-Version to 4.6.1 (no changes required)
  * Add git as recommended dependency of charliecloud-builders

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 27 Aug 2022 11:18:38 +0200
