## charliecloud 0.30

=== debian/changelog ===
charliecloud (0.30-1) unstable; urgency=medium

  * New upstream version 0.30

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 20 Nov 2022 19:34:58 +0100
