=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
@@ -76,6 +76,8 @@
  python3-requests,
  squashfs-tools,
  ${misc:Depends}
+Recommends:
+ git
 Suggests:
  charliecloud-doc,
  charliecloud-runtime,
