## charliecloud 0.31

=== debian/changelog ===
charliecloud (0.31-1) unstable; urgency=medium

  * New upstream version 0.31
  * Add patch from upstream PR 1550
  * Add libfuse3-dev and libsquashfuse-dev to build dependencies
  * Bump Standards-Version to 4.6.2 (no changes required)
  * Update copyright years of upstream code
  * Update copyright years for Debian packaging

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 29 Jan 2023 13:36:46 +0100
