=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
 Build-Depends:
  autoconf-archive,
  debhelper-compat (= 13),
+ libfuse3-dev,
+ libsquashfuse-dev,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
