=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/files_inferrable.txt
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/*.c
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/bucache/*.df
 
 override_dh_makeshlibs:
 	# exclude toy library from being processed
