=== debian/tests/control ===
Tests: builder-docker
Depends:
 charliecloud-tests,
 sudo
Restrictions: needs-internet, needs-root, isolation-machine
