## charliecloud 0.33

=== debian/changelog ===
charliecloud (0.33-1) unstable; urgency=medium

  [ Peter Wienemann ]
  * New upstream version 0.33
  * Drop patch pr1550 (fixed upstream)
  * Remove ch-ssh and its man page (removed upstream)
  * Set permission of libsotest-fi.so and approved-trailing-whitespace
    to 0644
  * Add bash tab completion for commands ch-run and ch-image

  [ Peter Kvillegård ]
  * Add Swedish translation of debconf template (closes: #1041671)

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 30 Jul 2023 11:50:18 +0200
