=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Peter Wienemann <fossdev@posteo.de>
 Build-Depends:
  autoconf-archive,
+ bash-completion,
  debhelper-compat (= 13),
  libfuse3-dev,
  libsquashfuse-dev,
